Page MenuHomePhabricator

Inconsistent capitalisation for link labels in EditWatchlist due to message reuse
Closed, ResolvedPublic

Description

In https://en.wikipedia.org/wiki/Special:EditWatchlist there is inconsistent capitalisation in English, "(talk | History)".

"History" comes from "history_short" https://translatewiki.net/wiki/MediaWiki:History_short/en

https://translatewiki.net/wiki/MediaWiki:History_short/qqq - "Text used on the history tab"
So inside the watchlistedit string is a word with a first capital letter
There must be another message "history" with first small letter

Event Timeline

Sunpriat created this task.Nov 20 2016, 9:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2016, 9:10 PM
Nemo_bis renamed this task from Wrong text for the watchlistedit to Inconsistent capitalisation for link labels in EditWatchlist due to message reuse.Nov 20 2016, 9:17 PM
Nemo_bis updated the task description. (Show Details)
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 21 2016, 1:50 PM
divadsn added a subscriber: divadsn.Jan 9 2017, 9:32 AM

There is a message with history beginning with first small letter, see https://translatewiki.net/wiki/MediaWiki:Translate-history/en
Also there is another message, which appears in enhanced watchlist: https://translatewiki.net/wiki/MediaWiki:Enhancedrc-history/en

divadsn claimed this task.Jan 9 2017, 9:44 AM

Should we maybe add a new i18n message with the uncapitalized word? I would personally add a new message history_small and apply this to the SpecialEditWatchlist page :)

Change 331369 had a related patch set uploaded (by Divadsn):
Fix inconsistent capitalisation for link labels in EditWatchlist

https://gerrit.wikimedia.org/r/331369

Isn't the User contributions link the same?

Change 331369 merged by jenkins-bot:
Fix inconsistent capitalisation for link labels in EditWatchlist

https://gerrit.wikimedia.org/r/331369

@Florian theoretically yes, but I am not a english native. I only know that there could be some exceptions.

Florian closed this task as Resolved.Jan 12 2017, 1:18 AM

Ok, I'm even not an english native, so probably @Sunpriat can check this and probably create a new task (and adding at least me as a subscriber), if this should be changed, too. I'll be happy to do that, if this is needed :D